Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Proactor_Timer_Handler Class Reference

A Handler for timer. It helps in the management of timers registered with the Proactor. More...

Inheritance diagram for ACE_Proactor_Timer_Handler:

[legend]
Collaboration diagram for ACE_Proactor_Timer_Handler:

[legend]
List of all members.

## Public Methods
| ACE_Proactor_Timer_Handler (ACE_Proactor &proactor)
| Constructor.
virtual | ~ACE_Proactor_Timer_Handler (void)
| Destructor.
int | destroy (void)
## Protected Methods
virtual int | svc (void)
## Protected Attributes
ACE_Auto_Event | timer_event_
| Event to wait on.
ACE_Proactor & | proactor_
| Proactor.
int | shutting_down_
| Flag used to indicate when we are shutting down.
## Friends
class | ACE_Proactor

## Detailed Description

A Handler for timer. It helps in the management of timers registered with the Proactor.

This object has a thread that will wait on the earliest time in a list of timers and an event. When a timer expires, the thread will post a completion event on the port and go back to waiting on the timer queue and event. If the event is signaled, the thread will refresh the time it is currently waiting on (in case the earliest time has changed).

## Constructor & Destructor Documentation

ACE_Proactor_Timer_Handler::ACE_Proactor_Timer_Handler | ( | ACE_Proactor & | proactor | ) |

| Constructor.

ACE_Proactor_Timer_Handler::~ACE_Proactor_Timer_Handler | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Proactor_Timer_Handler::destroy | ( | void |  | ) |

| Proactor calls this to shut down the timer handler gracefully. Just calling the destructor alone doesnt do what <destroy> does. <destroy> make sure the thread exits properly.

int ACE_Proactor_Timer_Handler::svc | ( | void |  | ) | `[protected, virtual]`

| Run by a daemon thread to handle deferred processing. In other words, this method will do the waiting on the earliest timer and event. Reimplemented from ACE_Task_Base.

## Friends And Related Function Documentation

friend class ACE_Proactor`[friend]`

| Proactor has special privileges Access needed to: timer_event_

## Member Data Documentation

ACE_Proactor& ACE_Proactor_Timer_Handler::proactor_`[protected]`

| Proactor.

int ACE_Proactor_Timer_Handler::shutting_down_`[protected]`

| Flag used to indicate when we are shutting down.

ACE_Auto_Event ACE_Proactor_Timer_Handler::timer_event_`[protected]`

| Event to wait on.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Proactor.cpp